POST
/findings/describe
http://macie2.{region}.amazonaws.com/findings/describeRetrieves the details of one or more findings.
Access Token Required: API Key
Body Params
findingIdsarrayrequired
An array of strings that lists the unique identifiers for the findings to retrieve. You can specify as many as 50 unique identifiers in this array.
sortCriteriaobject
Specifies criteria for sorting the results of a request for findings.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request POST \2 --url 'http://macie2.{region}.amazonaws.com/findings/describe' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}